#ifdef GL_ES
precision highp float;
#endif
varying vec2 v_texCoord;
uniform sampler2D u_NormalText; 
uniform sampler2D u_WallText;
uniform vec2 u_Param;
void main() 
{
	 vec4 wallColor;
	 vec4 normalColor;
	 normalColor=texture2D(u_NormalText, v_texCoord);
	 wallColor=texture2D(u_WallText, v_texCoord);
	 gl_FragColor=vec4(mix(normalColor,wallColor,0.6).rgb,u_Param[0]);
}