#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
uniform sampler2D u_NormalText;
uniform sampler2D u_FlashText;
uniform float u_Factor;
void main()
{
		
		vec4 color=texture2D(u_NormalText, v_texCoord);
		if(color[3]<=0.4)
		{
			discard;
			return;
		}
		color=color+vec4(1.0,0.0,1.0,1.0)*u_Factor;
		color=color/2.0;
    gl_FragColor = color ;
  	
}