#ifdef GL_ES
precision highp float;
#endif
varying vec2 v_texCoord;
uniform sampler2D u_NormalText; // 0
uniform vec2 u_Param;

vec3 oldFilter(vec3 rgb,float scale)
{
		
		float newR=(1.0-(scale*(1.0-0.393))) * rgb.r + scale*0.769 * rgb.g + scale*0.189 * rgb.b;
		float newG = scale*0.349 * rgb.r + (1.0-(scale*(1.0-0.686)))* rgb.g + scale*0.168 * rgb.b;
		float newB = scale*0.272 * rgb.r + scale*0.534 * rgb.g + (1.0-(scale*(1.0-0.131))) * rgb.b;
		return vec3(newR,newG,newB);
}

void main() 
{ 
  vec2 uv = v_texCoord;
  vec3  tc = texture2D(u_NormalText, uv).rgb;
  float scale=u_Param[1];
  tc=oldFilter(tc,scale);
  tc*=u_Param[0];
  
  gl_FragColor = vec4(tc, 1.0);
}